Loading...
Searching...
No Matches
sdbus::ObjectManager_adaptor Class Reference

Object Manager Convenience Adaptor. More...

`#include <StandardInterfaces.h>`

## Protected Member Functions

| ObjectManager_adaptor (sdbus::IObject &object)
| ObjectManager_adaptor (const ObjectManager_adaptor &)=delete
ObjectManager_adaptor & | operator= (const ObjectManager_adaptor &)=delete
| ObjectManager_adaptor (ObjectManager_adaptor &&)=delete
ObjectManager_adaptor & | operator= (ObjectManager_adaptor &&)=delete
void | registerAdaptor ()

## Detailed Description

Object Manager Convenience Adaptor.

Adding this class as _Interfaces.. template parameter of class AdaptorInterfaces implements the GetManagedObjects() method of the org.freedesktop.DBus.ObjectManager.GetManagedObjects interface.

Note that there can be multiple object managers in a path hierarchy. InterfacesAdded/InterfacesRemoved signals are sent from the closest object manager at either the same path or the closest parent path of an object.

The documentation for this class was generated from the following file:

- include/sdbus-c++/StandardInterfaces.h